Subject: bug#38043: Incorrect Python byte-compiling for Python 3 and PyPy3

From: Karl Berry <[email-masked]>
Date: Tue, 18 Jan 2022 16:15:08 -0700

i'm inclined to drop support for <Python-3.6.

My recollection is, plenty of people are still using <3.6, EOL or not.
Tempting though it is.

    Subject: bug#38043: Incorrect Python byte-compiling for Python 3 and PyPy3

For this particular bug, I have a half-baked version of py-compile
integrating the various changes that have come up. It is not fun, but it
doesn't look to me like it is so hard that we need to force no more
support for older python. I'll try to get back to it, or at least send
it to you for further work :). --thanks, karl.